import mongoose from 'mongoose'

export interface ProductDoc extends mongoose.Document {
    name: string,
    description: string,
    short_description?: string,
    friendly_url?: string,
    weight?: number | null,
    images?: number | null,
    width?: number | null,
    height?: number | null,
    length?: number | null,
    before_sale_price?: number | null,
    sale_price?: number,
    quantity?: number,
    created_at: Date,
    updated_at: Date,
    deleted_at?: Date,
    allow_to_sell: boolean,
    is_approved?: boolean,
    is_pre_order?: boolean,
    shop_id: string,
    category_id: string // category of admin
    list_category_id: Array<String>,
    detail_size?: Array<any>,
    limit_sale_price_order?: number | null,
    sale_price_order_available?: number | null,
    shipping_information?: string | null,
    delivery_instruction?: string | null,
    exchange_information?: string | null,
    delivery_information?: string | null,
    allow_refund: boolean,
    duration_refund: number,
    description_images: Array<any>,
    refund_conditions: Array<any>,
    sold: number,
    shorten_link: string | null,
    custom_images: Array<String>,
    popular_mark?: number,
    is_guaranteed_item?: Boolean,
    is_genuine_item?: Boolean,
    authen_images: Array<String> | null,
    top_photo_display_full_mode?: Boolean,
    is_sold_out?: Boolean,
    update_price_remaining?: number,
    next_date_update_price?: Date,
    price_updated_dates?: Array<Date>,
    bidu_air?: Boolean,
}
